#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libev - an event notification library
Summary(pl.UTF-8):	libev - biblioteka powiadamiająca o zdarzeniach
Name:		libev
Version:	4.15
Release:	1
License:	BSD or GPL v2+
Group:		Libraries
Source0:	http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
# Source0-md5:	3a73f247e790e2590c01f3492136ed31
URL:		http://software.schmorp.de/pkg/libev
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
# inotify interface
BuildRequires:	glibc-devel >= 6:2.4
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libev API provides a mechanism to execute a callback function when
a specific event occurs on a file descriptor or after a timeout has
been reached. It is meant to replace the asynchronous event loop found
in event-driven network servers.

%description -l pl.UTF-8
API libev dostarcza mechanizm do wykonywania funkcji callback, kiedy
nastąpiło określone zdarzenie w deskryptorze pliku lub po określonym
czasie. Ma to na celu zastąpienie asynchronicznych pętli w sterowanych
zdarzeniami usługach sieciowych.

%package devel
Summary:	Header files for libev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libev library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libev.

%package static
Summary:	Static libev library
Summary(pl.UTF-8):	Statyczna biblioteka libev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libev library.

%description static -l pl.UTF-8
Statyczna biblioteka libev.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

# override -O3 which overrides our optflags in configure
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# avoid conflict with libevent
install -d $RPM_BUILD_ROOT%{_includedir}/libev
mv $RPM_BUILD_ROOT%{_includedir}/event.h $RPM_BUILD_ROOT%{_includedir}/libev

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%attr(755,root,root) %{_libdir}/libev.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libev.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libev.so
%{_libdir}/libev.la
%{_includedir}/ev.h
%{_includedir}/ev++.h
%dir %{_includedir}/libev
%{_includedir}/libev/event.h
%{_mandir}/man3/ev.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libev.a
%endif
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libev.git;a=log;h=master

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> da84936
- updated to 4.15

* Wed Feb 08 2012 Jakub Bogusz <qboosh@pld-linux.org> a94070f
- updated to 4.11

* Sun Feb 20 2011 aredridel <aredridel@pld-linux.org> 0debe88
- 4.04

* Wed Jan 12 2011 Jakub Bogusz <qboosh@pld-linux.org> c4c73cf
- updated to 4.03

* Sat Nov 13 2010 Caleb Maclennan <caleb@alerque.com> 547c4f3
- Up to 4.01

* Sun Mar 14 2010 Elan Ruusamäe <glen@pld-linux.org> ca74630
- macro cosmetic

* Fri Mar 12 2010 aredridel <aredridel@pld-linux.org> 223baa9
- 3.9

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> 94510e7
- use standatd BuildRoot directory

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> 44e711c
- updated to 3.6 (or 3.60 - due to wierd version numeration)

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 6da7ec5
- updated to 3.43

* Tue Feb 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 373abc3
- updated to 3.0 (new soname)

* Tue Jan 22 2008 Jakub Bogusz <qboosh@pld-linux.org> 5b9a584
- updated to 2.01 (new soname)

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> b7460be
- updated to 1.85
- avoid conflict with libevent-devel

* Wed Nov 21 2007 areq <areq@pld-linux.org> 5645684
- init PLD spec

